/**
 * 本地数据移动
 * */

#ifndef LOCALDATAMOVEENGINE_H
#define LOCALDATAMOVEENGINE_H

#include "AppCommon.h"
#include "MyYaml.h"
#include "EngineBase.h"
#include "EngineFactory.h"
#include "json/json.h"
#include "myutils.h"

using namespace ai_matrix;

class LocalDataMoveEngine : public ai_matrix::EngineBase
{
public:
    LocalDataMoveEngine();
    ~LocalDataMoveEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    void InitParam();

    std::string strPort0_;
    std::map<int, ai_matrix::DataSourceConfig> mapUseDataSouceCfg_;
    std::string strResultPath_;
    bool bUploadFlag_;
    int iDirection_;
    int iPushDirection_;
    std::map<int, uint32_t> mapFtpFrameInfo_;
};

ENGINE_REGIST(LocalDataMoveEngine)

#endif
